.contenedor-imagenes {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    align-items: flex-end; /* Alinea todas las imágenes en la parte baja */
}

.imagen-contenedor {
    display: flex;
    flex-direction: column; /* Mantiene el texto arriba y la imagen abajo */
    align-items: center;
    justify-content: flex-end; /* Asegura que la imagen esté en la parte baja del contenedor */
    height: 250px; /* Ajusta la altura del contenedor desde el formulario de filtro según lo necesites */
    position: relative;
}

.imagen-contenedor img {
    width: 200px;
    height: auto; /* Ajusta la altura de manera proporcional */
    max-height: 200px; /* Limita la altura sin distorsión */
    object-fit: contain;
}
.imagen-contenedor p {
    font-size: 8px; /* Tamaño más pequeño */
    color: #333; /* Color oscuro pero no tan fuerte */
    margin-top: 5px; /* Espaciado mínimo con la imagen */
    text-align: center; /* Centra el texto */
    display: flex;
    flex-direction: column;
    align-items: center; /* Centra ambos elementos horizontalmente */
    justify-content: center;
    width: 100%;
}
.imagen-contenedor img:hover::after {
    content: attr(title); /* Muestra el contenido del atributo alt */
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 5px;
    border-radius: 5px;
    font-size: 12px;
    bottom: 100%; /* Aparece encima de la imagen */
    left: 50%;
    transform: translateX(-50%);
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 5px;
    border-radius: 5px;
    white-space: nowrap;
    font-size: 12px;
}
.paginacion {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.paginacion a {
    padding: 10px 15px;
    margin: 5px;
    text-decoration: none;
    background-color: #007bff; /* Azul moderno */
    color: white;
    font-size: 16px;
    border-radius: 5px;
    transition: background 0.3s;
}

.paginacion a:hover {
    background-color: #0056b3; /* Efecto hover */
}

.paginacion a.activo {
    background-color: #004085;
    font-weight: bold;
}
